> ## Documentation Index
> Fetch the complete documentation index at: https://docs.xentfi.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get single master wallet



## OpenAPI

````yaml /api-reference/openapi.json get /v1/master-wallets/{masterId}
openapi: 3.0.3
info:
  title: XentFi API
  version: 1.0.0
  description: >-
    API documentation for XentFi.The XentFi API gives you access to pretty much
    all the features you can use on our dashboard and lets you extend them for
    use in your application. It strives to be RESTful and is organized around
    the main resources you would be interacting with - with a few notable
    exceptions.
servers:
  - url: https://api.xentfi.com
    description: Development server
security: []
tags: []
paths:
  /v1/master-wallets/{masterId}:
    get:
      tags:
        - Master Wallets
      summary: Get single master wallet
      operationId: getMasterWallet
      parameters:
        - name: masterId
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Master wallet details
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: object
                    properties:
                      id:
                        type: string
                      name:
                        type: string
                      description:
                        type: string
                        nullable: true
                      walletAddress:
                        type: string
                      network:
                        type: string
                      blockchain:
                        type: object
                        properties:
                          id:
                            type: string
                            format: uuid
                            description: Blockchain unique identifier
                            example: 8a864e95-4b86-423d-9ba4-f4e692ec121e
                          name:
                            type: string
                            description: Blockchain name
                            example: Base
                          slug:
                            type: string
                            description: Blockchain slug
                            example: base-mainnet
                          symbol:
                            type: string
                            description: Blockchain symbol
                            example: ETH
                          isActive:
                            type: boolean
                            description: Whether the blockchain is active
                            example: true
                          isEvmCompatible:
                            type: boolean
                            description: Whether the blockchain is EVM compatible
                            example: true
                          configurations:
                            type: object
                            nullable: true
                            description: Additional configuration data
                            example: null
                          chainId:
                            type: integer
                            description: Chain ID for EVM chains
                            example: 8453
                          logoUrl:
                            type: string
                            description: URL to blockchain logo
                            example: https://example.com/base-logo.png
                          tokenStandard:
                            type: string
                            description: Token standard
                            example: ERC20
                          createdAt:
                            type: string
                            format: date-time
                            description: Creation timestamp
                            example: '2023-04-28T14:44:06.397Z'
                          updatedAt:
                            type: string
                            format: date-time
                            description: Last update timestamp
                            example: '2024-11-26T15:26:18.785Z'
                      configurations:
                        type: object
                        properties:
                          aml:
                            type: object
                            properties:
                              message:
                                type: string
                              provider:
                                type: string
                              status:
                                type: string
                          enableGaslessWithdraw:
                            type: boolean
                          enableMultiChain:
                            type: boolean
                          autoSweep:
                            type: object
                            properties:
                              enabled:
                                type: boolean
                              threshold:
                                type: string
                              destinationAddress:
                                type: string
                          security:
                            type: object
                            properties:
                              requireApprovalForTransfers:
                                type: boolean
                              maxTransferAmount:
                                type: string
                              allowedRecipients:
                                type: array
                                items:
                                  type: string
                          monitoring:
                            type: object
                            properties:
                              enableBalanceTracking:
                                type: boolean
                              enableTransactionTracking:
                                type: boolean
                              alertOnLargeTransfers:
                                type: string
                      metadata:
                        type: object
                      analytics:
                        type: object
                        properties:
                          addressesCount:
                            type: integer
                          autoSettlementRulesCount:
                            type: integer
                          paymentLinksCount:
                            type: integer
                      isActive:
                        type: boolean
                      enabledBlockchains:
                        type: array
                        description: >-
                          List of blockchains enabled for monitoring on this
                          master wallet
                        items:
                          type: object
                          properties:
                            id:
                              type: string
                              format: uuid
                              description: Blockchain unique identifier
                              example: 8a864e95-4b86-423d-9ba4-f4e692ec121e
                            name:
                              type: string
                              description: Blockchain name
                              example: Base
                            slug:
                              type: string
                              description: Blockchain slug
                              example: base-mainnet
                            symbol:
                              type: string
                              description: Blockchain symbol
                              example: ETH
                            isActive:
                              type: boolean
                              description: Whether the blockchain is active
                              example: true
                            isEvmCompatible:
                              type: boolean
                              description: Whether the blockchain is EVM compatible
                              example: true
                            configurations:
                              type: object
                              nullable: true
                              description: Additional configuration data
                              example: null
                            chainId:
                              type: integer
                              description: Chain ID for EVM chains
                              example: 8453
                            logoUrl:
                              type: string
                              description: URL to blockchain logo
                              example: https://example.com/base-logo.png
                            tokenStandard:
                              type: string
                              description: Token standard
                              example: ERC20
                            createdAt:
                              type: string
                              format: date-time
                              description: Creation timestamp
                              example: '2023-04-28T14:44:06.397Z'
                            updatedAt:
                              type: string
                              format: date-time
                              description: Last update timestamp
                              example: '2024-11-26T15:26:18.785Z'
                      createdAt:
                        type: string
                        format: date-time
                      updatedAt:
                        type: string
                        format: date-time
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: false
                  error:
                    type: object
                    properties:
                      code:
                        type: string
                        example: NOT_FOUND
                      message:
                        type: string
                        example: Wallet not found
                      timestamp:
                        type: string
                        format: date-time
                      requestId:
                        type: string
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: false
                  error:
                    type: object
                    properties:
                      code:
                        type: string
                        example: NOT_FOUND
                      message:
                        type: string
                        example: Wallet not found
                      timestamp:
                        type: string
                        format: date-time
                      requestId:
                        type: string
        '404':
          description: Wallet or asset not found
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: false
                  error:
                    type: object
                    properties:
                      code:
                        type: string
                        example: NOT_FOUND
                      message:
                        type: string
                        example: Wallet not found
                      timestamp:
                        type: string
                        format: date-time
                      requestId:
                        type: string
      security:
        - ApiKeyAuth: []
          OrgIdAuth: []
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: apiKey
    OrgIdAuth:
      type: apiKey
      in: header
      name: orgId

````